<html lang="en">
<head>
<title>Function Index - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Demo-Programs.html#Demo-Programs" title="Demo Programs">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Function-Index"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Demo-Programs.html#Demo-Programs">Demo Programs</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<h2 class="unnumbered">Function Index</h2>

<ul class="index-fn" compact>
<li><a href="Writing-Methods.html#index-call_002dnext_002dmethod-25"><code>call-next-method</code></a>: <a href="Writing-Methods.html#Writing-Methods">Writing Methods</a></li>
<li><a href="Writing-Methods.html#index-call_002dnext_002dmethod_002dp-26"><code>call-next-method-p</code></a>: <a href="Writing-Methods.html#Writing-Methods">Writing Methods</a></li>
<li><a href="Predicates.html#index-child_002dof_002dclass_002dp-49"><code>child-of-class-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dchildren-44"><code>class-children</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dchildren_002dfast-45"><code>class-children-fast</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dconstructor-35"><code>class-constructor</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dname-33"><code>class-name</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dof-38"><code>class-of</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002doption-34"><code>class-option</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dp-29"><code>class-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dparent-43"><code>class-parent</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dparents-41"><code>class-parents</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-class_002dparents_002dfast-42"><code>class-parents-fast</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Introspection.html#index-class_002dslot_002dinitarg-55"><code>class-slot-initarg</code></a>: <a href="Introspection.html#Introspection">Introspection</a></li>
<li><a href="Predicates.html#index-class_002dv-27"><code>class-v</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Making-New-Objects.html#index-classname-13"><code>classname</code></a>: <a href="Making-New-Objects.html#Making-New-Objects">Making New Objects</a></li>
<li><a href="Default-Superclass.html#index-clone-10"><code>clone</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Building-Classes.html#index-defclass-1"><code>defclass</code></a>: <a href="Building-Classes.html#Building-Classes">Building Classes</a></li>
<li><a href="Writing-Methods.html#index-defgeneric-23"><code>defgeneric</code></a>: <a href="Writing-Methods.html#Writing-Methods">Writing Methods</a></li>
<li><a href="Writing-Methods.html#index-defmethod-24"><code>defmethod</code></a>: <a href="Writing-Methods.html#Writing-Methods">Writing Methods</a></li>
<li><a href="eieio_002dinstance_002dtracker.html#index-delete_002dinstance-on-eieio_002dinstance_002dtracker-66"><code>delete-instance on eieio-instance-tracker</code></a>: <a href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker">eieio-instance-tracker</a></li>
<li><a href="Association-Lists.html#index-eieio_002dbuild_002dclass_002dalist-53"><code>eieio-build-class-alist</code></a>: <a href="Association-Lists.html#Association-Lists">Association Lists</a></li>
<li><a href="Customizing.html#index-eieio_002dcustom_002dwidget_002dinsert-87"><code>eieio-custom-widget-insert</code></a>: <a href="Customizing.html#Customizing">Customizing</a></li>
<li><a href="Customizing.html#index-eieio_002dcustomize_002dobject-86"><code>eieio-customize-object</code></a>: <a href="Customizing.html#Customizing">Customizing</a></li>
<li><a href="eieio_002dpersistent.html#index-eieio_002dpersistent_002dpath_002drelative-on-eieio_002dpersistent-71"><code>eieio-persistent-path-relative on eieio-persistent</code></a>: <a href="eieio_002dpersistent.html#eieio_002dpersistent">eieio-persistent</a></li>
<li><a href="eieio_002dpersistent.html#index-eieio_002dpersistent_002dread-73"><code>eieio-persistent-read</code></a>: <a href="eieio_002dpersistent.html#eieio_002dpersistent">eieio-persistent</a></li>
<li><a href="eieio_002dpersistent.html#index-eieio_002dpersistent_002dsave-on-eieio_002dpersistent-70"><code>eieio-persistent-save on eieio-persistent</code></a>: <a href="eieio_002dpersistent.html#eieio_002dpersistent">eieio-persistent</a></li>
<li><a href="eieio_002dspeedbar.html#index-eieio_002dspeedbar_002dchild_002ddescription-on-eieio_002dspeedbar-81"><code>eieio-speedbar-child-description on eieio-speedbar</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="eieio_002dspeedbar.html#index-eieio_002dspeedbar_002dchild_002dmake_002dtag_002dlines-on-eieio_002dspeedbar-84"><code>eieio-speedbar-child-make-tag-lines on eieio-speedbar</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="eieio_002dspeedbar.html#index-eieio_002dspeedbar_002dderive_002dline_002dpath-on-eieio_002dspeedbar-79"><code>eieio-speedbar-derive-line-path on eieio-speedbar</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="eieio_002dspeedbar.html#index-eieio_002dspeedbar_002ddescription-on-eieio_002dspeedbar-80"><code>eieio-speedbar-description on eieio-speedbar</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="eieio_002dspeedbar.html#index-eieio_002dspeedbar_002dobject_002dbuttonname-on-eieio_002dspeedbar-82"><code>eieio-speedbar-object-buttonname on eieio-speedbar</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="eieio_002dspeedbar.html#index-eieio_002dspeedbar_002dobject_002dchildren-on-eieio_002dspeedbar-83"><code>eieio-speedbar-object-children on eieio-speedbar</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="Documentation.html#index-eieiodoc_002dclass-88"><code>eieiodoc-class</code></a>: <a href="Documentation.html#Documentation">Documentation</a></li>
<li><a href="Predicates.html#index-find_002dclass-28"><code>find-class</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-generic_002dp-50"><code>generic-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Default-Superclass.html#index-initialize_002dinstance-4"><code>initialize-instance</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="eieio_002dinstance_002dtracker.html#index-initialize_002dinstance-on-eieio_002dinstance_002dtracker-65"><code>initialize-instance on eieio-instance-tracker</code></a>: <a href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker">eieio-instance-tracker</a></li>
<li><a href="Signals.html#index-invalid_002dslot_002dname-56"><code>invalid-slot-name</code></a>: <a href="Signals.html#Signals">Signals</a></li>
<li><a href="Signals.html#index-invalid_002dslot_002dtype-59"><code>invalid-slot-type</code></a>: <a href="Signals.html#Signals">Signals</a></li>
<li><a href="eieio_002dinstance_002dtracker.html#index-key-67"><code>key</code></a>: <a href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker">eieio-instance-tracker</a></li>
<li><a href="eieio_002dspeedbar.html#index-make_002dmap-85"><code>make-map</code></a>: <a href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a></li>
<li><a href="Default-Superclass.html#index-no_002dapplicable_002dmethod-8"><code>no-applicable-method</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Signals.html#index-no_002dmethod_002ddefinition-57"><code>no-method-definition</code></a>: <a href="Signals.html#Signals">Signals</a></li>
<li><a href="Default-Superclass.html#index-no_002dnext_002dmethod-9"><code>no-next-method</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Signals.html#index-no_002dnext_002dmethod-58"><code>no-next-method</code></a>: <a href="Signals.html#Signals">Signals</a></li>
<li><a href="Accessing-Slots.html#index-object_002dadd_002dto_002dlist-21"><code>object-add-to-list</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Association-Lists.html#index-object_002dassoc-51"><code>object-assoc</code></a>: <a href="Association-Lists.html#Association-Lists">Association Lists</a></li>
<li><a href="Association-Lists.html#index-object_002dassoc_002dlist-52"><code>object-assoc-list</code></a>: <a href="Association-Lists.html#Association-Lists">Association Lists</a></li>
<li><a href="Predicates.html#index-object_002dclass-37"><code>object-class</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-object_002dclass_002dfast-39"><code>object-class-fast</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-object_002dclass_002dname-40"><code>object-class-name</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-object_002dname-36"><code>object-name</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-object_002dof_002dclass_002dp-48"><code>object-of-class-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-object_002dp-30"><code>object-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Default-Superclass.html#index-object_002dprint-11"><code>object-print</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Introspection.html#index-object_002dslots-54"><code>object-slots</code></a>: <a href="Introspection.html#Introspection">Introspection</a></li>
<li><a href="Default-Superclass.html#index-object_002dwrite-12"><code>object-write</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="eieio_002dpersistent.html#index-object_002dwrite-on-eieio_002dpersistent-72"><code>object-write on eieio-persistent</code></a>: <a href="eieio_002dpersistent.html#eieio_002dpersistent">eieio-persistent</a></li>
<li><a href="Accessing-Slots.html#index-oref-16"><code>oref</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Accessing-Slots.html#index-oref_002ddefault-17"><code>oref-default</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Accessing-Slots.html#index-oset-14"><code>oset</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Accessing-Slots.html#index-oset_002ddefault-15"><code>oset-default</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Predicates.html#index-same_002dclass_002dfast_002dp-47"><code>same-class-fast-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-same_002dclass_002dp-46"><code>same-class-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Accessing-Slots.html#index-set_002dslot_002dvalue-19"><code>set-slot-value</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Default-Superclass.html#index-shared_002dinitialize-5"><code>shared-initialize</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Predicates.html#index-slot_002dboundp-32"><code>slot-boundp</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Predicates.html#index-slot_002dexists_002dp-31"><code>slot-exists-p</code></a>: <a href="Predicates.html#Predicates">Predicates</a></li>
<li><a href="Accessing-Slots.html#index-slot_002dmakeunbound-20"><code>slot-makeunbound</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Default-Superclass.html#index-slot_002dmissing-6"><code>slot-missing</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Default-Superclass.html#index-slot_002dunbound-7"><code>slot-unbound</code></a>: <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a></li>
<li><a href="Accessing-Slots.html#index-slot_002dvalue-18"><code>slot-value</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
<li><a href="Signals.html#index-unbound_002dslot-60"><code>unbound-slot</code></a>: <a href="Signals.html#Signals">Signals</a></li>
<li><a href="Accessing-Slots.html#index-with_002dslots-22"><code>with-slots</code></a>: <a href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a></li>
</ul>
<div class="contents">
<h2>Table of Contents</h2>
<ul>
<li><a name="toc_Introduction" href="Introduction.html#Introduction">1 Introduction</a>
<ul>
<li><a href="Introduction.html#Introduction">1.1 What EIEIO supports</a>
<li><a href="Introduction.html#Introduction">1.2 Issues using EIEIO</a>
<li><a href="Introduction.html#Introduction">1.3 EIEIO example programs that are almost useful.</a>
<li><a href="Introduction.html#Introduction">1.4 EIEIO wish list</a>
</li></ul>
<li><a name="toc_CLOS-compatibility" href="CLOS-compatibility.html#CLOS-compatibility">2 CLOS compatibility</a>
<li><a name="toc_Building-Classes" href="Building-Classes.html#Building-Classes">3 Building Classes</a>
<li><a name="toc_Default-Superclass" href="Default-Superclass.html#Default-Superclass">4 Default Superclass</a>
<li><a name="toc_Making-New-Objects" href="Making-New-Objects.html#Making-New-Objects">5 Making New Objects</a>
<li><a name="toc_Accessing-Slots" href="Accessing-Slots.html#Accessing-Slots">6 Accessing Slots</a>
<li><a name="toc_Writing-Methods" href="Writing-Methods.html#Writing-Methods">7 Writing Methods</a>
<li><a name="toc_Predicates" href="Predicates.html#Predicates">8 Predicates and Utilities</a>
<li><a name="toc_Association-Lists" href="Association-Lists.html#Association-Lists">9 Association Lists</a>
<li><a name="toc_Introspection" href="Introspection.html#Introspection">10 Introspection</a>
<li><a name="toc_Signals" href="Signals.html#Signals">11 Signals</a>
<li><a name="toc_Base-Classes" href="Base-Classes.html#Base-Classes">12 Base Classes</a>
<ul>
<li><a href="eieio_002dinstance_002dinheritor.html#eieio_002dinstance_002dinheritor">12.1 <code>eieio-instance-inheritor</code></a>
<li><a href="eieio_002dsingleton.html#eieio_002dsingleton">12.2 <code>eieio-singleton</code></a>
<li><a href="eieio_002dpersistent.html#eieio_002dpersistent">12.3 <code>eieio-persistent</code></a>
<li><a href="eieio_002dnamed.html#eieio_002dnamed">12.4 <code>eieio-named</code></a>
<li><a href="eieio_002dspeedbar.html#eieio_002dspeedbar">12.5 <code>eieio-speedbar</code></a>
</li></ul>
<li><a name="toc_Browsing" href="Browsing.html#Browsing">13 Browsing class trees</a>
<li><a name="toc_Class-Values" href="Class-Values.html#Class-Values">14 Class Values</a>
<li><a name="toc_Customizing" href="Customizing.html#Customizing">15 Customizing Objects</a>
<ul>
<li><a href="Customizing.html#Customizing">15.1 Widget extention</a>
</li></ul>
<li><a name="toc_Documentation" href="Documentation.html#Documentation">16 Documentation</a>
<li><a name="toc_Naming-Conventions" href="Naming-Conventions.html#Naming-Conventions">17 Naming Conventions</a>
<li><a name="toc_Demo-Programs" href="Demo-Programs.html#Demo-Programs">18 Demo Programs</a>
<li><a name="toc_Function-Index" href="Function-Index.html#Function-Index">Function Index</a>
</li></ul>
</div>

</body></html>

